#pragma once
#include <map>
struct M_ActivityMayDayCardCollectingCFGData
{
	//任务ID
	int mID;
	//集齐类型
	int mCollectingType;
	//集齐奖励
	std::vector<int> mCollectingReward;
	//集齐奖励数量
	std::vector<int> mCollectingQuantity;
};

class M_ActivityMayDayCardCollectingCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMayDayCardCollectingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMayDayCardCollectingCFGData* GetData(int ID);
	const std::map<int, M_ActivityMayDayCardCollectingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityMayDayCardCollectingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityMayDayCardCollectingCFGData> mMapData;
};
